## python-sqlalchemy-utils 0.41.2

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/SQLAlchemy-Utils.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/SQLAlchemy-Utils.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/SQLAlchemy-Utils"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/SQLAlchemy-Utils"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## python-sqlalchemy-utils 0.30.12

=== debian/changelog ===
python-sqlalchemy-utils (0.30.12-4+2~bpo8+1) UNRELEASED; urgency=medium

  * Backport rebuilt by Jenkins in OpenStack infra.

 -- Jenkins <jenkins@openstack.org>  Sat, 03 Dec 2016 12:01:48 +0000

python-sqlalchemy-utils (0.30.12-4) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bumped debhelper compat version to 10

  [ Thomas Goirand ]
  * Rebuild with SQLA 1.1.x.

 -- Thomas Goirand <zigo@debian.org>  Sat, 03 Dec 2016 12:45:36 +0100

python-sqlalchemy-utils (0.30.12-3) unstable; urgency=medium

  * Fixed VCS URLs (https).
  * d/rules: Changed UPSTREAM_GIT protocol to https
  * d/copyright: Changed source URL to https protocol
  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Using OpenStack's Gerrit as VCS URLs.

 -- Ondřej Nový <novy@ondrej.org>  Sun, 28 Feb 2016 15:50:49 +0100

python-sqlalchemy-utils (0.30.12-2) unstable; urgency=medium

  * Added reproducibility patch from Chris Lamb (Closes: #799206).

 -- Thomas Goirand <zigo@debian.org>  Fri, 13 Nov 2015 09:54:23 +0000

python-sqlalchemy-utils (0.30.12-1) unstable; urgency=medium

  * Initial release. (Closes: #798561)

 -- Thomas Goirand <zigo@debian.org>  Fri, 27 Mar 2015 16:18:57 +0100

=== debian/control ===
Source: python-sqlalchemy-utils
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>
Build-Depends: debhelper (>= 10),
               dh-python,
               python-all,
               python-setuptools,
               python-sphinx,
               python3-all,
               python3-setuptools,
Build-Depends-Indep: python-six,
                     python-sqlalchemy,
                     python3-six,
                     python3-sqlalchemy,
Standards-Version: 3.9.6
Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-python-sqlalchemy-utils?h=debian%2Fnewton
Vcs-Git: https://git.openstack.org/openstack/deb-python-sqlalchemy-utils -b debian/newton
Homepage: https://github.com/kvesteri/sqlalchemy-utils

Package: python-sqlalchemy-utils
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Suggests: python-sqlalchemy-utils-doc
Description: various utility functions for SQLAlchemy - Python 2.x
 Various utility functions and custom data types for SQLAlchemy.
 .
 SQLAlchemy is an SQL database abstraction library for Python.
 .
 This package contains the Python 2.x module.

Package: python3-sqlalchemy-utils
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Suggests: python-sqlalchemy-utils-doc
Description: various utility functions for SQLAlchemy - Python 3.x
 Various utility functions and custom data types for SQLAlchemy.
 .
 SQLAlchemy is an SQL database abstraction library for Python.
 .
 This package contains the Python 3.x module.

Package: python-sqlalchemy-utils-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: various utility functions for SQLAlchemy - doc
 Various utility functions and custom data types for SQLAlchemy.
 .
 SQLAlchemy is an SQL database abstraction library for Python.
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)
PYTHON3S:=$(shell py3versions -vr)

UPSTREAM_GIT := https://github.com/kvesteri/sqlalchemy-utils.git
-include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc

override_dh_install:
	set -e ; for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-sqlalchemy-utils; \
	done
	set -e ; for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python3-sqlalchemy-utils; \
	done
	rm -rf $(CURDIR)/debian/python*-sqlalchemy-utils/usr/lib/python*/dist-packages/*.pth

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	set -e ; for pyvers in $(PYTHONS) ; do \
		PYTHONPATH=.:./src python$$pyvers setup.py test ; \
	done
endif

override_dh_sphinxdoc:
	PYTHONPATH=. sphinx-build -b html docs debian/python-sqlalchemy-utils-doc/usr/share/doc/python-sqlalchemy-utils-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils


override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build


# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:

## python-sqlalchemy-utils 0.32.21

=== debian/changelog ===
python-sqlalchemy-utils (0.32.21-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org

  [ Thomas Goirand ]
  * New upstream release.
  * Standards-Version is now 4.1.3.

 -- Thomas Goirand <zigo@debian.org>  Sat, 03 Mar 2018 18:50:10 +0100

python-sqlalchemy-utils (0.32.14-3) unstable; urgency=medium

  * Fix wrong python3-sqla-utils dependency on Py2 package (Closes: #882149).

 -- Thomas Goirand <zigo@debian.org>  Sun, 19 Nov 2017 23:12:38 +0100

python-sqlalchemy-utils (0.32.14-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 01 Nov 2017 22:33:25 +0000

python-sqlalchemy-utils (0.32.14-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Fixed VCS URLs (https).
  * d/rules: Changed UPSTREAM_GIT protocol to https
  * d/copyright: Changed source URL to https protocol

  [ Daniel Baumann ]
  * Updating vcs fields.
  * Updating copyright format url.
  * Updating maintainer field.
  * Running wrap-and-sort -bast.
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles.
  * Updating standards version to 4.1.1.

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Removed reproducible patch applied upstream.
  * Fixed debian/copyright order.
  * Using pkgos-dh_auto_install.
  * Switch to using pytest.

 -- Thomas Goirand <zigo@debian.org>  Thu, 26 Oct 2017 21:13:41 +0200

=== debian/control ===
Source: python-sqlalchemy-utils
Section: python
Priority: optional
Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools,
 python-all,
 python-setuptools,
 python-sphinx,
 python3-all,
 python3-setuptools,
Build-Depends-Indep:
 python-dateutil,
 python-flexmock,
 python-isort,
 python-mock,
 python-psycopg2,
 python-pymysql,
 python-pytest,
 python-six,
 python-sqlalchemy,
 python-tz,
 python3-dateutil,
 python3-flexmock,
 python3-isort,
 python3-mock,
 python3-psycopg2,
 python3-pymysql,
 python3-pytest,
 python3-six,
 python3-sqlalchemy,
 python3-tz,
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/openstack-team/python/python-sqlalchemy-utils
Vcs-Git: https://salsa.debian.org/openstack-team/python/python-sqlalchemy-utils.git
Homepage: https://github.com/kvesteri/sqlalchemy-utils

Package: python-sqlalchemy-utils
Architecture: all
Depends:
 python-anyjson,
 python-arrow,
 python-babel,
 python-six,
 python-sqlalchemy,
 ${misc:Depends},
 ${python:Depends},
Suggests:
 python-sqlalchemy-utils-doc,
Description: various utility functions for SQLAlchemy - Python 2.x
 Various utility functions and custom data types for SQLAlchemy.
 .
 SQLAlchemy is an SQL database abstraction library for Python.
 .
 This package contains the Python 2.x module.

Package: python-sqlalchemy-utils-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: various utility functions for SQLAlchemy - doc
 Various utility functions and custom data types for SQLAlchemy.
 .
 SQLAlchemy is an SQL database abstraction library for Python.
 .
 This package contains the documentation.

Package: python3-sqlalchemy-utils
Architecture: all
Depends:
 python3-anyjson,
 python3-arrow,
 python3-babel,
 python3-six,
 python3-sqlalchemy,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-sqlalchemy-utils-doc,
Description: various utility functions for SQLAlchemy - Python 3.x
 Various utility functions and custom data types for SQLAlchemy.
 .
 SQLAlchemy is an SQL database abstraction library for Python.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
--- 
+++ 
@@ -1,30 +1,22 @@
 #!/usr/bin/make -f
 
-PYTHONS:=$(shell pyversions -vr)
-PYTHON3S:=$(shell py3versions -vr)
-
 UPSTREAM_GIT := https://github.com/kvesteri/sqlalchemy-utils.git
--include /usr/share/openstack-pkg-tools/pkgos.make
+include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
 	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc
 
-override_dh_install:
-	set -e ; for pyvers in $(PYTHONS); do \
-		python$$pyvers setup.py install --install-layout=deb \
-			--root $(CURDIR)/debian/python-sqlalchemy-utils; \
-	done
-	set -e ; for pyvers in $(PYTHON3S); do \
-		python$$pyvers setup.py install --install-layout=deb \
-			--root $(CURDIR)/debian/python3-sqlalchemy-utils; \
-	done
-	rm -rf $(CURDIR)/debian/python*-sqlalchemy-utils/usr/lib/python*/dist-packages/*.pth
+override_dh_auto_install:
+	pkgos-dh_auto_install
 
 override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	set -e ; for pyvers in $(PYTHONS) ; do \
-		PYTHONPATH=.:./src python$$pyvers setup.py test ; \
-	done
+	echo "Do not run tests right now:"
+	echo "need to setup mysql and postgres before running them"
+	echo "and set SQLALCHEMY_UTILS_TEST_DB SQLALCHEMY_UTILS_TEST_POSTGRESQL_USER SQLALCHEMY_UTILS_TEST_MYSQL_USER"
+#	set -e ; for pyvers in $(PYTHONS) ; do \
+#		PYTHONPATH=.:./src python$$pyvers -m pytest tests ; \
+#	done
 endif
 
 override_dh_sphinxdoc:

## python-sqlalchemy-utils 0.36.1

=== debian/changelog ===
python-sqlalchemy-utils (0.36.1-0ubuntu1) focal; urgency=medium

  * New upstream release.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Wed, 05 Feb 2020 12:42:11 +0100

python-sqlalchemy-utils (0.36.0-0ubuntu1) focal; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf: Update gbp configuration file.
  * d/control: Update Vcs-* links and maintainers.

  [ Sahid Orentino Ferdjaoui ]
  * New upstream release.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Thu, 19 Dec 2019 16:13:47 +0100

python-sqlalchemy-utils (0.32.21-2) unstable; urgency=medium

  * Team upload.
  * d/rules: Remove trailing whitespaces
  * d/control: Use team+openstack@tracker.debian.org as maintainer
  * Use debhelper-compat instead of debian/compat.
  * Use pybuild to build package.
  * Enable autopkgtest-pkg-python testsuite.
  * Bump debhelper compat level to 12.
  * Use Python 3 version of Sphinx to build docs.
  * Bump standards version to 4.4.0.
  * Drop Python 2 support (Closes: #938191).

 -- Ondřej Nový <onovy@debian.org>  Tue, 03 Sep 2019 09:21:38 +0200

=== debian/control ===
Source: python-sqlalchemy-utils
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-dateutil,
 python3-flexmock,
 python3-isort,
 python3-mock,
 python3-psycopg2,
 python3-pymysql,
 python3-pytest,
 python3-six,
 python3-sqlalchemy,
 python3-tz,
Standards-Version: 4.4.0
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-sqlalchemy-utils
Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-sqlalchemy-utils
Homepage: https://github.com/kvesteri/sqlalchemy-utils
Testsuite: autopkgtest-pkg-python

Package: python-sqlalchemy-utils-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: various utility functions for SQLAlchemy - doc
 Various utility functions and custom data types for SQLAlchemy.
 .
 SQLAlchemy is an SQL database abstraction library for Python.
 .
 This package contains the documentation.

Package: python3-sqlalchemy-utils
Architecture: all
Depends:
 python3-anyjson,
 python3-arrow,
 python3-babel,
 python3-six,
 python3-sqlalchemy,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-sqlalchemy-utils-doc,
Description: various utility functions for SQLAlchemy - Python 3.x
 Various utility functions and custom data types for SQLAlchemy.
 .
 SQLAlchemy is an SQL database abstraction library for Python.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/kvesteri/sqlalchemy-utils.git
-include /usr/share/openstack-pkg-tools/pkgos.make

export PYBUILD_NAME=sqlalchemy-utils

%:
	dh $@ --buildsystem=pybuild --with python3,sphinxdoc

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	echo "Do not run tests right now:"
	echo "need to setup mysql and postgres before running them"
	echo "and set SQLALCHEMY_UTILS_TEST_DB SQLALCHEMY_UTILS_TEST_POSTGRESQL_USER SQLALCHEMY_UTILS_TEST_MYSQL_USER"
endif

override_dh_sphinxdoc:
	PYTHONPATH=. python3 -m sphinx -b html docs debian/python-sqlalchemy-utils-doc/usr/share/doc/python-sqlalchemy-utils-doc/html
	dh_sphinxdoc

override_dh_clean:
	dh_clean
	rm -rf build

## python-sqlalchemy-utils 0.36.3

=== debian/changelog ===
python-sqlalchemy-utils (0.36.3-2ubuntu2~cloud0) focal-victoria; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Fri, 25 Sep 2020 14:30:56 +0000

python-sqlalchemy-utils (0.36.3-2ubuntu2) groovy; urgency=medium

  * debian/patches/e6ecee3364c1f6afc59f856cc578758587881d9e.patch:
    - Add upstream fix for autopkgtests

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 25 Sep 2020 12:20:30 +0200

python-sqlalchemy-utils (0.36.3-2ubuntu1) groovy; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/rules: Run tests in autopkgtests.
    - d/t/control: Configure functional tests.
    - d/t/python-sqlalchemy-utils: Setup and run functional tests.
    - d/p/disable-dateutil-tests.patch: Remove dateutil tests.
    - d/rules: Add note that we execute tests in autopkgtests.
    - d/gbp.conf: Update gbp configuration file.
    - d/control: Update Vcs-* links and maintainers.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 25 Sep 2020 12:17:05 +0200

python-sqlalchemy-utils (0.36.3-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 08 May 2020 11:44:02 +0200

python-sqlalchemy-utils (0.36.3-1) experimental; urgency=medium

  * New upstream release.
  * Standards-Version: 4.5.0.

 -- Thomas Goirand <zigo@debian.org>  Tue, 07 Apr 2020 12:45:26 +0200

python-sqlalchemy-utils (0.36.1-0ubuntu2) groovy; urgency=medium

  * Enable autopkgtests for python-sqlalchemy-utils.
    - d/rules: Run tests in autopkgtests.
    - d/t/control: Configure functional tests.
    - d/t/python-sqlalchemy-utils: Setup and run functional tests.
    - d/p/disable-dateutil-tests.patch: Remove dateutil tests.
    - d/rules: Add note that we execute tests in autopkgtests.

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Wed, 24 Jun 2020 12:57:10 +0000

=== debian/control ===
--- 
+++ 
@@ -15,6 +15,7 @@
 Build-Depends-Indep:
  python3-dateutil,
  python3-flexmock,
+ python3-intervals,
  python3-isort,
  python3-mock,
  python3-psycopg2,
@@ -23,7 +24,7 @@
  python3-six,
  python3-sqlalchemy,
  python3-tz,
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-sqlalchemy-utils
 Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-sqlalchemy-utils
 Homepage: https://github.com/kvesteri/sqlalchemy-utils
@@ -54,6 +55,7 @@
  ${python3:Depends},
 Suggests:
  python-sqlalchemy-utils-doc,
+ python3-intervals,
 Description: various utility functions for SQLAlchemy - Python 3.x
  Various utility functions and custom data types for SQLAlchemy.
  .

=== debian/rules ===
--- 
+++ 
@@ -9,11 +9,10 @@
 	dh $@ --buildsystem=pybuild --with python3,sphinxdoc
 
 override_dh_auto_test:
-ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
+	# autopkg tests are configured to setup dependencies and run tests
 	echo "Do not run tests right now:"
 	echo "need to setup mysql and postgres before running them"
 	echo "and set SQLALCHEMY_UTILS_TEST_DB SQLALCHEMY_UTILS_TEST_POSTGRESQL_USER SQLALCHEMY_UTILS_TEST_MYSQL_USER"
-endif
 
 override_dh_sphinxdoc:
 	PYTHONPATH=. python3 -m sphinx -b html docs debian/python-sqlalchemy-utils-doc/usr/share/doc/python-sqlalchemy-utils-doc/html

## python-sqlalchemy-utils 0.36.8

=== debian/changelog ===
python-sqlalchemy-utils (0.36.8-4) unstable; urgency=medium

  * Drop autopkgtest which are currently broken (Closes: #981868).

 -- Thomas Goirand <zigo@debian.org>  Sat, 06 Feb 2021 16:05:20 +0100

python-sqlalchemy-utils (0.36.8-3) unstable; urgency=medium

  [ Chris MacNaughton ]
  * d/t/python-sqlalchemy-utils: Update postgresql trust update to include
    IPv6 loopback.

 -- Thomas Goirand <zigo@debian.org>  Fri, 08 Jan 2021 10:17:10 +0100

python-sqlalchemy-utils (0.36.8-2) unstable; urgency=medium

  * Added python3-psycopg2cffi and python3-infinity as (build-)depends.
  * Add a debian/salsa-ci.yml.

 -- Thomas Goirand <zigo@debian.org>  Sat, 05 Dec 2020 00:02:16 +0100

python-sqlalchemy-utils (0.36.8-1) unstable; urgency=medium

  * New upstream release.
  * Applied patch from Ubuntu adding autopkgtests (Closes: #966410).

 -- Thomas Goirand <zigo@debian.org>  Sun, 22 Nov 2020 13:04:47 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: python-sqlalchemy-utils
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
+Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
@@ -15,18 +14,19 @@
 Build-Depends-Indep:
  python3-dateutil,
  python3-flexmock,
- python3-intervals,
+ python3-infinity,
  python3-isort,
  python3-mock,
  python3-psycopg2,
+ python3-psycopg2cffi,
  python3-pymysql,
  python3-pytest,
  python3-six,
  python3-sqlalchemy,
  python3-tz,
 Standards-Version: 4.5.0
-Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-sqlalchemy-utils
-Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-sqlalchemy-utils
+Vcs-Browser: https://salsa.debian.org/openstack-team/python/python-sqlalchemy-utils
+Vcs-Git: https://salsa.debian.org/openstack-team/python/python-sqlalchemy-utils.git
 Homepage: https://github.com/kvesteri/sqlalchemy-utils
 Testsuite: autopkgtest-pkg-python
 
@@ -49,13 +49,14 @@
  python3-anyjson,
  python3-arrow,
  python3-babel,
+ python3-infinity,
+ python3-psycopg2cffi,
  python3-six,
  python3-sqlalchemy,
  ${misc:Depends},
  ${python3:Depends},
 Suggests:
  python-sqlalchemy-utils-doc,
- python3-intervals,
 Description: various utility functions for SQLAlchemy - Python 3.x
  Various utility functions and custom data types for SQLAlchemy.
  .

=== debian/rules ===
--- 
+++ 
@@ -9,10 +9,12 @@
 	dh $@ --buildsystem=pybuild --with python3,sphinxdoc
 
 override_dh_auto_test:
+ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
 	# autopkg tests are configured to setup dependencies and run tests
 	echo "Do not run tests right now:"
 	echo "need to setup mysql and postgres before running them"
 	echo "and set SQLALCHEMY_UTILS_TEST_DB SQLALCHEMY_UTILS_TEST_POSTGRESQL_USER SQLALCHEMY_UTILS_TEST_MYSQL_USER"
+endif
 
 override_dh_sphinxdoc:
 	PYTHONPATH=. python3 -m sphinx -b html docs debian/python-sqlalchemy-utils-doc/usr/share/doc/python-sqlalchemy-utils-doc/html

## python-sqlalchemy-utils 0.37.8

=== debian/changelog ===
python-sqlalchemy-utils (0.37.8-1ubuntu1) jammy; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - d/control: Make infinity and psycopg2cffi optional. Add
      python3-intervals to dependencies (the package doesn't exist
      in Debian).
    - d/tests: Add autopkgtests.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 03 Dec 2021 11:17:06 -0500

python-sqlalchemy-utils (0.37.8-1) unstable; urgency=medium

  * New upstream release.
  * Rebased disable-dateutil-tests.patch.

 -- Thomas Goirand <zigo@debian.org>  Wed, 06 Oct 2021 16:42:47 +0200

python-sqlalchemy-utils (0.37.6-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 29 Sep 2021 11:47:08 +0200

python-sqlalchemy-utils (0.37.6-1) experimental; urgency=medium

  * New upstream release.
  * Rebased disable-dateutil-tests.patch.

 -- Thomas Goirand <zigo@debian.org>  Tue, 24 Aug 2021 15:55:46 +0200

python-sqlalchemy-utils (0.36.8-2ubuntu2) hirsute; urgency=medium

  * d/control: Make infinity and psycopq2cffi optional.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Thu, 07 Jan 2021 10:35:22 +0000

python-sqlalchemy-utils (0.36.8-2ubuntu1) hirsute; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Add python3-intervals to dependencies
      (the package doesn't exist in Debian)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 10 Dec 2020 14:28:04 +0100

python-sqlalchemy-utils (0.36.8-1ubuntu1) hirsute; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Add python3-intervals to dependencies
      (the package doesn't exist in Debian)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 23 Nov 2020 22:14:07 +0100

=== debian/control ===
--- 
+++ 
@@ -15,6 +15,7 @@
  python3-dateutil,
  python3-flexmock,
  python3-infinity,
+ python3-intervals,
  python3-isort,
  python3-mock,
  python3-psycopg2,
@@ -49,14 +50,15 @@
  python3-anyjson,
  python3-arrow,
  python3-babel,
- python3-infinity,
- python3-psycopg2cffi,
  python3-six,
  python3-sqlalchemy,
  ${misc:Depends},
  ${python3:Depends},
 Suggests:
  python-sqlalchemy-utils-doc,
+ python3-infinity,
+ python3-intervals,
+ python3-psycopg2cffi,
 Description: various utility functions for SQLAlchemy - Python 3.x
  Various utility functions and custom data types for SQLAlchemy.
  .

=== debian/tests/control ===
Tests: python-sqlalchemy-utils
Depends:
 @, @builddeps@,
 mysql-server,
 postgresql-all,
 python3-colour,
 python3-cryptography,
 python3-phonenumbers,
 python3-pg,
 python3-pg8000,
Restrictions: needs-root, allow-stderr

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
https://github.com/kvesteri/sqlalchemy-utils/tags .*/(\d[\d\.]+)\.tar\.gz

## python-sqlalchemy-utils 0.38.2

=== debian/changelog ===
python-sqlalchemy-utils (0.38.2-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 24 Mar 2022 10:54:00 +0100

python-sqlalchemy-utils (0.38.2-1) experimental; urgency=medium

  * New upstream release.
  * Removed python3-anyjson from depends.

 -- Thomas Goirand <zigo@debian.org>  Wed, 16 Feb 2022 10:47:54 +0100

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,6 @@
  python3-dateutil,
  python3-flexmock,
  python3-infinity,
- python3-intervals,
  python3-isort,
  python3-mock,
  python3-psycopg2,
@@ -47,18 +46,16 @@
 Package: python3-sqlalchemy-utils
 Architecture: all
 Depends:
- python3-anyjson,
  python3-arrow,
  python3-babel,
+ python3-infinity,
+ python3-psycopg2cffi,
  python3-six,
  python3-sqlalchemy,
  ${misc:Depends},
  ${python3:Depends},
 Suggests:
  python-sqlalchemy-utils-doc,
- python3-infinity,
- python3-intervals,
- python3-psycopg2cffi,
 Description: various utility functions for SQLAlchemy - Python 3.x
  Various utility functions and custom data types for SQLAlchemy.
  .

## python-sqlalchemy-utils 0.41.0

=== debian/changelog ===
python-sqlalchemy-utils (0.41.0-5) unstable; urgency=medium

  * Add remove-intersphinx.patch (Closes: #1090161).

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Dec 2024 16:07:27 +0100

python-sqlalchemy-utils (0.41.0-4) unstable; urgency=medium

  * Removed python3-psycopg2cffi from (build-)depends, as this is optional, and
    nothing really needs it.

 -- Thomas Goirand <zigo@debian.org>  Mon, 23 Sep 2024 09:05:25 +0200

python-sqlalchemy-utils (0.41.0-3) unstable; urgency=medium

  * Remove extraneous python3-six & python3-mock dependencies
    (Closes: #1068098).

 -- Thomas Goirand <zigo@debian.org>  Thu, 18 Apr 2024 09:44:32 +0200

python-sqlalchemy-utils (0.41.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 04 Oct 2023 22:41:30 +0200

python-sqlalchemy-utils (0.41.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed disable-dateutil-tests.patch.

 -- Thomas Goirand <zigo@debian.org>  Tue, 29 Aug 2023 15:15:52 +0200

python-sqlalchemy-utils (0.38.2-3) unstable; urgency=medium

  * Add extended-diff-ignore (Closes: #1045669).

 -- Thomas Goirand <zigo@debian.org>  Tue, 15 Aug 2023 16:03:25 +0200

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 UPSTREAM_GIT := https://github.com/kvesteri/sqlalchemy-utils.git
--include /usr/share/openstack-pkg-tools/pkgos.make
+include /usr/share/openstack-pkg-tools/pkgos.make
 
 export PYBUILD_NAME=sqlalchemy-utils

## python-sqlalchemy-utils 0.41.1

=== debian/changelog ===
python-sqlalchemy-utils (0.41.1-0ubuntu1) noble; urgency=medium

  * New upstream point release.

 -- James Page <james.page@ubuntu.com>  Fri, 09 Feb 2024 09:49:02 +0000

python-sqlalchemy-utils (0.41.0-2ubuntu1) noble; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - d/control: Make infinity and psycopg2cffi optional. Add
      python3-intervals to dependencies (the package doesn't exist
      in Debian).
    - d/tests: Add autopkgtests.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 Dec 2023 16:54:13 -0800

python-sqlalchemy-utils (0.38.2-2ubuntu1) mantic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - d/control: Make infinity and psycopg2cffi optional. Add
      python3-intervals to dependencies (the package doesn't exist
      in Debian).
    - d/tests: Add autopkgtests.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 12 Jun 2023 11:43:11 -0700

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: python-sqlalchemy-utils
 Section: python
 Priority: optional
-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
@@ -15,6 +16,7 @@
  python3-dateutil,
  python3-flexmock,
  python3-infinity,
+ python3-intervals,
  python3-isort,
  python3-mock,
  python3-psycopg2,
@@ -48,14 +50,15 @@
 Depends:
  python3-arrow,
  python3-babel,
- python3-infinity,
- python3-psycopg2cffi,
  python3-six,
  python3-sqlalchemy,
  ${misc:Depends},
  ${python3:Depends},
 Suggests:
  python-sqlalchemy-utils-doc,
+ python3-infinity,
+ python3-intervals,
+ python3-psycopg2cffi,
 Description: various utility functions for SQLAlchemy - Python 3.x
  Various utility functions and custom data types for SQLAlchemy.
  .

## python-sqlalchemy-utils 0.41.2

=== debian/changelog ===
python-sqlalchemy-utils (0.41.2-3) unstable; urgency=medium

  * Replace the transitional python3-tz build-dependency with python3-pytz
    (Closes: #1122121).

 -- Thomas Goirand <zigo@debian.org>  Sun, 07 Dec 2025 22:24:13 +0100

python-sqlalchemy-utils (0.41.2-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 28 Sep 2025 15:22:15 +0200

python-sqlalchemy-utils (0.41.2-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 27 Aug 2025 12:18:58 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: python-sqlalchemy-utils
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
+Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
@@ -16,16 +15,12 @@
  python3-dateutil,
  python3-flexmock,
  python3-infinity,
- python3-intervals,
  python3-isort,
- python3-mock,
  python3-psycopg2,
- python3-psycopg2cffi,
  python3-pymysql,
  python3-pytest,
- python3-six,
  python3-sqlalchemy,
- python3-tz,
+ python3-pytz,
 Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/openstack-team/python/python-sqlalchemy-utils
 Vcs-Git: https://salsa.debian.org/openstack-team/python/python-sqlalchemy-utils.git
@@ -50,15 +45,12 @@
 Depends:
  python3-arrow,
  python3-babel,
- python3-six,
+ python3-infinity,
  python3-sqlalchemy,
  ${misc:Depends},
  ${python3:Depends},
 Suggests:
  python-sqlalchemy-utils-doc,
- python3-infinity,
- python3-intervals,
- python3-psycopg2cffi,
 Description: various utility functions for SQLAlchemy - Python 3.x
  Various utility functions and custom data types for SQLAlchemy.
  .

## python-sqlalchemy-utils 0.42.1

=== requirements/docs/requirements.txt ===
alabaster==0.7.16 ; python_version >= "3.9"
babel==2.17.0 ; python_version >= "3.9"
certifi==2025.7.9 ; python_version >= "3.9"
charset-normalizer==3.4.2 ; python_version >= "3.9"
colorama==0.4.6 ; python_version >= "3.9" and sys_platform == "win32"
docutils==0.21.2 ; python_version >= "3.9"
idna==3.10 ; python_version >= "3.9"
imagesize==1.4.1 ; python_version >= "3.9"
importlib-metadata==8.7.0 ; python_version == "3.9"
jinja2==3.1.6 ; python_version >= "3.9"
markupsafe==3.0.2 ; python_version >= "3.9"
packaging==25.0 ; python_version >= "3.9"
pygments==2.19.2 ; python_version >= "3.9"
requests==2.32.4 ; python_version >= "3.9"
snowballstemmer==3.0.1 ; python_version >= "3.9"
sphinx-rtd-theme==3.0.2 ; python_version >= "3.9"
sphinx==7.4.7 ; python_version >= "3.9"
sphinxcontrib-applehelp==2.0.0 ; python_version >= "3.9"
sphinxcontrib-devhelp==2.0.0 ; python_version >= "3.9"
sphinxcontrib-htmlhelp==2.1.0 ; python_version >= "3.9"
sphinxcontrib-jquery==4.1 ; python_version >= "3.9"
sphinxcontrib-jsmath==1.0.1 ; python_version >= "3.9"
sphinxcontrib-qthelp==2.0.0 ; python_version >= "3.9"
sphinxcontrib-serializinghtml==2.0.0 ; python_version >= "3.9"
tomli==2.2.1 ; python_version >= "3.9" and python_version < "3.11"
urllib3==2.6.0 ; python_version >= "3.9"
zipp==3.23.0 ; python_version == "3.9"

=== debian/changelog ===
python-sqlalchemy-utils (0.42.1-1) experimental; urgency=medium

  * New usptream release.
  * Build-depends on pybuild-plugin-pyproject.
  * Rebased remove-intersphinx.patch.
  * Display sphinx build log if error.
  * Add python3-sphinx-rtd-theme as build-depends.

 -- Thomas Goirand <zigo@debian.org>  Thu, 26 Feb 2026 00:14:38 +0100

=== debian/control ===
--- 
+++ 
@@ -8,9 +8,11 @@
  debhelper-compat (= 12),
  dh-python,
  openstack-pkg-tools,
+ pybuild-plugin-pyproject,
  python3-all,
  python3-setuptools,
  python3-sphinx,
+ python3-sphinx-rtd-theme,
 Build-Depends-Indep:
  python3-dateutil,
  python3-flexmock,
@@ -19,8 +21,8 @@
  python3-psycopg2,
  python3-pymysql,
  python3-pytest,
+ python3-pytz,
  python3-sqlalchemy,
- python3-pytz,
 Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/openstack-team/python/python-sqlalchemy-utils
 Vcs-Git: https://salsa.debian.org/openstack-team/python/python-sqlalchemy-utils.git

=== debian/rules ===
--- 
+++ 
@@ -17,7 +17,10 @@
 endif
 
 override_dh_sphinxdoc:
-	PYTHONPATH=. python3 -m sphinx -b html docs debian/python-sqlalchemy-utils-doc/usr/share/doc/python-sqlalchemy-utils-doc/html
+	if ! PYTHONPATH=. python3 -m sphinx -b html docs debian/python-sqlalchemy-utils-doc/usr/share/doc/python-sqlalchemy-utils-doc/html ; then \
+		cat /tmp/sphinx-err-*.log ; \
+		exit 1 ; \
+	fi
 	dh_sphinxdoc
 
 override_dh_clean:
